package cn.efunbox.audio.controller;

import cn.efunbox.audio.entity.Audio;
import cn.efunbox.audio.entity.Record;
import cn.efunbox.audio.service.AudioService;
import cn.efunbox.audio.service.RecordService;
import cn.efunbox.audio.util.ApiCode;
import cn.efunbox.audio.util.HttpUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;
import java.util.Random;

/**
 * 音频点播记录
 * Created by yao on 17-9-26.
 */
@RestController
@Slf4j
@RequestMapping(value = "/record")
public class RecordController {

    @Autowired
    RecordService recordService;

    @RequestMapping(value = "/search" ,method = RequestMethod.POST)
    public void Search(HttpServletRequest request, HttpServletResponse response){
        String id = request.getParameter("rid");
        String idChannel = request.getParameter("idChannel");
        String idDevice = request.getParameter("idDevice");
        String idAudio = request.getParameter("idAudio");
        if(id==null && idChannel==null && idDevice==null && idAudio==null){
            HttpUtil.responseApiCode(request, response, ApiCode.PARAMETER_ERROR);
            return;
        }
        List<Record> list = null;
        if(id!=null && id.length()>0)
            list = recordService.SearchById(Long.valueOf(id));
        else if(idChannel!=null && idChannel.length()>0)
            list = recordService.SearchByIdChannel(Long.valueOf(idChannel));
        else if(idDevice!=null && idDevice.length()>0)
            list = recordService.SearchByIdDevice(Long.valueOf(idDevice));
        else if(idAudio!=null && idAudio.length()>0)
            list = recordService.SearchByIdAudio(Long.valueOf(idAudio));

        if(list==null || list.size()<1){
            HttpUtil.responseApiCode(request, response, ApiCode.NOT_FOUND);
            return;
        }

        HttpUtil.responseOkData(request, response, list);
        return;
    }

}
