package cn.efunbox.audio.entity;


import cn.efunbox.audio.enums.Status;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 音频资源
 * Created by yao on 17-9-26.
 */


@Data
@ToString
@Entity
@DynamicInsert
@DynamicUpdate
public class Audio implements Serializable, Cloneable {

    @Id
    @GeneratedValue
    private Long id;

    //专辑名，如儿歌
    @Column
    private String album;

    //专辑下的第几集
    @Column
    private int lesson;

    //音频名称，如两只老虎
    @Column
    private String name;

    //来自资源平台的id
    @Column
    private String idResource;

    //播放地址
    @Column
    private String url;

    @Column
    private int status= Status.ONLINE.getCode();

    @Column
    @Temporal(TemporalType.TIMESTAMP)
    private Date created;

    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }


}
