package cn.efunbox.audio.entity;


import cn.efunbox.audio.enums.Status;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 合作商家
 * Created by yao on 17-9-26.
 */


@Data
@ToString
@Entity
@DynamicInsert
@DynamicUpdate
public class Channel implements Serializable, Cloneable {

    @Id
    @GeneratedValue
    private Long id;

    //合作商家，如小七
    @Column
    private String name;

    @Column
    private int status= Status.ONLINE.getCode();

    @Column
    @Temporal(TemporalType.TIMESTAMP)
    private Date created;

    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }


}
