package cn.efunbox.audio.entity;


import cn.efunbox.audio.enums.Status;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 音频资源点播记录
 * Created by yao on 17-9-26.
 */


@Data
@ToString
@Entity
@DynamicInsert
@DynamicUpdate
public class Record implements Serializable, Cloneable {

    @Id
    @GeneratedValue
    private Long id;

    //渠道编号
    @Column
    private Long idChannel;

    //用户、设备编号
    @Column
    private Long idDevice;

    //音频编号
    @Column
    private Long idAudio;

    @Column
    private int status= Status.ONLINE.getCode();

    @Column
    @Temporal(TemporalType.TIMESTAMP)
    private Date created;

    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }


}
