package cn.efunbox.audio.impl;

import cn.efunbox.audio.entity.Device;
import cn.efunbox.audio.repository.DeviceRepo;
import cn.efunbox.audio.service.DeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * Created by yao on 17-9-26.
 */
@Service
public class DeviceServiceImpl implements DeviceService {

    @Autowired
    DeviceRepo deviceRepo;

    @Override
    public boolean CheckRegister(Long idChannel, Long idDevice){
        List<Device> list = deviceRepo.findByChannelDevice(idChannel, idDevice);
        if(list.size()>0)
            return true;
        else
            return false;
    }

    @Override
    public Device Register(Long idChannel, Long idDevice){
        if(this.CheckRegister(idChannel, idDevice))
            return null;

        Device device = new Device();
        device.setIdChannel(idChannel);
        device.setIdDevice(idDevice);
        device.setCreated(new Date());
        device.setUpdated(new Date());
        device.setTokenOld(device.getTokenNew());
        device.setTokenNew(UUID.randomUUID().toString().replaceAll("-", ""));
        device = deviceRepo.save(device);

        return device;
    }

    @Override
    public Device Login(Long id, String token){
        Device device = deviceRepo.findById(id);
        if(device==null)
            return null;
//        System.out.println("token:"+token);
//        System.out.println(device.toString());
        if(device.getTokenNew()!=null && false == device.getTokenNew().equals(token)
            && device.getTokenOld()!=null && false == device.getTokenOld().equals(token))
            return null;
        if(device.getTokenNew().equalsIgnoreCase(token)){
            device.setTokenOld(device.getTokenNew());
            device.setTokenNew(UUID.randomUUID().toString().replaceAll("-", ""));
        }
        device.setUpdated(new Date());
        deviceRepo.save(device);

        return device;
    }

    @Override
    public Device GetOne(Long id){
        Device device = deviceRepo.findById(id);
        return device;
    }

    @Override
    public Device Update(Device device){
        device = deviceRepo.save(device);
        return device;
    }

}
